import assert from 'assert';
import EcScalarListSerializer from '../src/ecScalarListSerializer.js';
import EcScalar from '../src/ecScalar.js';

describe('EcScalarListSerializer', function () {
    it('should serialize and deserialize', function () {
        var len = 11;
        for (var i = 0; i < 20; i++) {
            var nums = Array.from(new Array(len)).map(() => EcScalar.random());
            var ser1 = EcScalarListSerializer.serializeStr(nums);
            var ser2 = EcScalarListSerializer.serializeStr(EcScalarListSerializer.deserialize(ser1));
            
            assert.equal(ser1, ser2)
        }
    });
});
